Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class PropertyExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.PropertyExpression

    public class PropertyExpression
    extends Expression

Represents a property access such as the expression "foo.bar".

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`PropertyExpression(Expression objectExpression, java.lang.String property)`
`PropertyExpression(Expression objectExpression, Expression property)`
`PropertyExpression(Expression objectExpression, Expression property, boolean safe)`

Method Summary
`Expression` | `getObjectExpression()`
`Expression` | `getProperty()`
`java.lang.String` | `getPropertyAsString()`
`java.lang.String` | `getText()`
`boolean` | `isDynamic()`
`boolean` | `isImplicitThis()`
`boolean` | `isSafe()` @return is this a safe navigation, i.e. if true then if the source object is null then this navigation will return null
`boolean` | `isSpreadSafe()`
`boolean` | `isStatic()`
`void` | `setImplicitThis(boolean it)`
`void` | `setObjectExpression(Expression exp)`
`void` | `setSpreadSafe(boolean value)`
`void` | `setStatic(boolean aStatic)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PropertyExpression

    public PropertyExpression(Expression objectExpression, java.lang.String property)

### PropertyExpression

    public PropertyExpression(Expression objectExpression, Expression property)

### PropertyExpression

    public PropertyExpression(Expression objectExpression, Expression property, boolean safe)

Method Detail

### getObjectExpression

    public Expression getObjectExpression()

### getProperty

    public Expression getProperty()

### getPropertyAsString

    public java.lang.String getPropertyAsString()

### getText

    public java.lang.String getText()

### isDynamic

    public boolean isDynamic()

### isImplicitThis

    public boolean isImplicitThis()

### isSafe

    public boolean isSafe()

  Returns:
    is this a safe navigation, i.e. if true then if the source object is null then this navigation will return null

### isSpreadSafe

    public boolean isSpreadSafe()

### isStatic

    public boolean isStatic()

### setImplicitThis

    public void setImplicitThis(boolean it)

### setObjectExpression

    public void setObjectExpression(Expression exp)

### setSpreadSafe

    public void setSpreadSafe(boolean value)

### setStatic

    public void setStatic(boolean aStatic)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation